<script setup>
import {ref, watch} from "vue";

const props = defineProps(['modelValue'])
const emit = defineEmits(['update:modelValue', 'update'])

const selectedOption = ref(null)

const options = ref([{
  label: 'Listenansicht',
  value: 'list'
}, {
  label: 'Kartenansicht',
  value: 'map'
}]);

function onUpdate({ value }) {
  emit('update:modelValue', value);
  emit('update', value);
}

watch(() => props.modelValue, (value) => {
  selectedOption.value = options.value.find(o => o.value === value) ?? null
}, {immediate: true})
</script>

<template>
  <SelectButton
    :model-value="selectedOption"
    @update:model-value="onUpdate"
    :options="options"
    :allowEmpty="false"
    optionLabel="label"
    dataKey="value"
    aria-labelledby="basic"
  />
</template>

<style scoped>

</style>
